gnutls_dtls_set_data_mtu(3)

NAME
gnutls_dtls_set_data_mtu - API function

SYNOPSIS
#include <gnutls/dtls.h>

int gnutls_dtls_set_data_mtu(gnutls_session_t session, unsigned int mtu);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t type.

unsigned int mtu
    The maximum unencrypted transfer unit of the session

DESCRIPTION
This function will set the maximum size of the *unencrypted* records which will be sent over a DTLS session. It is equivalent to calculating the DTLS packet overhead with the current encryption parameters, and calling gnutls_dtls_set_mtu() with that value. In particular, this means that you may need to call this function again after any negotiation or renegotiation, in order to ensure that the MTU is still sufficient to account for the new protocol overhead. In most cases you only need to call gnutls_dtls_set_mtu() with the maximum MTU of your transport layer.

RETURNS
GNUTLS_E_SUCCESS (0) on success, or a negative error code.

SINCE
3.1

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2016 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/